aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-cairocffi/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2013-08-24 13:43:59 -0500
committerWilliam Pitcock <nenolod@dereferenced.org>2013-08-24 13:43:59 -0500
commitbc764cf7b6009ba5bc9fa3b74c120419c75a2873 (patch)
treebae42ac698d664b8778e345ece3fd6e7af53f1d7 /testing/py-cairocffi/APKBUILD
parent3385562d533ad0d675d8ce308ce448065c630116 (diff)
downloadaports-bc764cf7b6009ba5bc9fa3b74c120419c75a2873.tar.gz
aports-bc764cf7b6009ba5bc9fa3b74c120419c75a2873.tar.bz2
aports-bc764cf7b6009ba5bc9fa3b74c120419c75a2873.tar.xz
testing/py-cairocffi: new aport
Diffstat (limited to 'testing/py-cairocffi/APKBUILD')
-rw-r--r--testing/py-cairocffi/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/py-cairocffi/APKBUILD b/testing/py-cairocffi/APKBUILD
new file mode 100644
index 0000000000..bb7b3754e9
--- /dev/null
+++ b/testing/py-cairocffi/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=py-cairocffi
+pkgver=0.5.1
+pkgrel=0
+pkgdesc="Python CFFI-based binding to Cairo and GDK-PixBuf"
+url="http://pythonhosted.org/cairocffi/"
+arch="noarch"
+license="BSD"
+depends="python py-cffi cairo gdk-pixbuf"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/c/cairocffi/cairocffi-$pkgver.tar.gz"
+
+_builddir="$srcdir"/cairocffi-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="a0c55240b07030f27d9fb07cf99bf705 cairocffi-0.5.1.tar.gz"
+sha256sums="eb85249f03254f42ee298c20d5827fbab2b95128919203d0581c37d929e824ee cairocffi-0.5.1.tar.gz"
+sha512sums="e34a8c2c53c6fe29573293372b3fb952a8f5051d7c51125523fbbbcf0499b80ccc743713b6c6560d2ca74cfb96392810e7396320c6e70e55f01ff7663f921612 cairocffi-0.5.1.tar.gz"